Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jivesoftware.openfire.clearspace
Enum ConnectionException.ErrorType

    java.lang.Object
      java.lang.Enum<ConnectionException.ErrorType>
          org.jivesoftware.openfire.clearspace.ConnectionException.ErrorType

All Implemented Interfaces:
  Serializable, Comparable<ConnectionException.ErrorType>

Enclosing class:
  ConnectionException

    public static enum ConnectionException.ErrorType

extends Enum<ConnectionException.ErrorType>

Enum Constant Summary
`AUTHENTICATION`
`OTHER`
`PAGE_NOT_FOUND`
`SERVICE_NOT_AVAIBLE`
`UNKNOWN_HOST`
`UPDATE_STATE`

Method Summary
`static ConnectionException.ErrorType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ConnectionException.ErrorType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### AUTHENTICATION

    public static final ConnectionException.ErrorType AUTHENTICATION

### PAGE_NOT_FOUND

    public static final ConnectionException.ErrorType PAGE_NOT_FOUND

### UPDATE_STATE

    public static final ConnectionException.ErrorType UPDATE_STATE

### UNKNOWN_HOST

    public static final ConnectionException.ErrorType UNKNOWN_HOST

### SERVICE_NOT_AVAIBLE

    public static final ConnectionException.ErrorType SERVICE_NOT_AVAIBLE

### OTHER

    public static final ConnectionException.ErrorType OTHER

Method Detail

### values

    public static final ConnectionException.ErrorType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(ConnectionException.ErrorType c : ConnectionException.ErrorType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static ConnectionException.ErrorType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003-2008 Jive Software.